package si.mojeznanje.layoutinanimacije;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

import com.daimajia.androidanimations.library.Techniques;
import com.daimajia.androidanimations.library.YoYo;

public class MainActivity extends AppCompatActivity {

    private EditText emailEditText;
    private EditText passwordEditText;
    private Button button;
    private TextView errorTextView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        emailEditText = findViewById(R.id.emailEditText);
        passwordEditText = findViewById(R.id.passwordEditText);
        button = findViewById(R.id.button);
        errorTextView = findViewById(R.id.errorText);

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if(isInputValid()){

                }else {
                    // vnos ni veljaven
//                    errorTextView.setVisibility(View.VISIBLE);

                    YoYo.with(Techniques.Tada)
                            .duration(700)
                            .repeat(5)
                            .playOn(button);

                    Animation alphaAnimation = AnimationUtils.loadAnimation(MainActivity.this, R.anim.simple_anim);
                    alphaAnimation.setAnimationListener(new Animation.AnimationListener() {
                        @Override
                        public void onAnimationStart(Animation animation) {
                            errorTextView.setVisibility(View.VISIBLE);
//                            errorTextView.setAlpha(0);
                        }

                        @Override
                        public void onAnimationEnd(Animation animation) {

                        }

                        @Override
                        public void onAnimationRepeat(Animation animation) {

                        }
                    });
                    errorTextView.startAnimation(alphaAnimation);
//                    alphaAnimation.start();

//                    button.animate().alpha(0f).setDuration(2000).start();
                }
            }
        });
    }

    private boolean isInputValid(){
        return !emailEditText.getText().toString().isEmpty() && !passwordEditText.getText().toString().isEmpty();
    }
}
